/*
 * Copyright (C) 1999  Jesse E. Peterson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *
 */

package com.jpeterson.x10;

/**
 * Signals that an exception has occurred.
 * <P>
 * In addition to exceptions that inherit from <CODE>ControlException</CODE>
 * some calls throw other Java <CODE>Exceptions</CODE> and <CODE>Errors</CODE>
 * such as <CODE>IllegalArgumentException</CODE> and
 * <CODE>SecurityException</CODE>.
 *
 * @see ControlError
 * @see Serialized Form
 *
 * @author Jesse Peterson <6/29/99>
 * @version 1.0
 */
public class ControlException extends Exception
{
    /**
     * Constructs a <CODE>ControlException</CODE> with no detail message.
     *
     * @author Jesse Peterson <6/29/99>
     */
    public ControlException()
    {
	super();
    }

    /**
     * Constructs a <CODE>ControlException</CODE> with the specified detail
     * message. A detail message is a <CODE>String</CODE> that describes this
     * particular exception.
     *
     * @param s the detail message
     *
     * @author Jesse Peterson <6/29/99>
     */
    public ControlException(String s)
    {
	super(s);
    }
}
